Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.datatypes
Class KeepValue

    java.lang.Object
      org.apache.fop.datatypes.KeepValue

    public class KeepValue

extends java.lang.Object

Keep Value Stores the different types of keeps in a single convenient format.

Field Summary
`static java.lang.String` | `KEEP_WITH_ALWAYS` constant for keep-with-always
`static java.lang.String` | `KEEP_WITH_AUTO` constant for automatic keep-with computation
`static java.lang.String` | `KEEP_WITH_VALUE` constant for a user-settable keep-with value (??)

Constructor Summary
`KeepValue(java.lang.String type, int val)` Constructor

Method Summary
`java.lang.String` | `getType()`
`int` | `getValue()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEEP_WITH_ALWAYS

    public static final java.lang.String KEEP_WITH_ALWAYS

  constant for keep-with-always

  See Also:
    Constant Field Values

### KEEP_WITH_AUTO

    public static final java.lang.String KEEP_WITH_AUTO

  constant for automatic keep-with computation

  See Also:
    Constant Field Values

### KEEP_WITH_VALUE

    public static final java.lang.String KEEP_WITH_VALUE

  constant for a user-settable keep-with value (??)

  See Also:
    Constant Field Values

Constructor Detail

### KeepValue

    public KeepValue(java.lang.String type,
                     int val)

  Constructor

  Parameters:
    `type` - one of "KEEP_WITH_ALWAYS", "KEEP_WITH_AUTO", or "KEEP_WITH_VALUE"
    `val` - keep-with value to use (used only by KEEP_WITH_VALUE ??).

Method Detail

### getValue

    public int getValue()

  Returns:
    the keep-with value

### getType

    public java.lang.String getType()

  Returns:
    the descriptive type

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    string representation of this

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.